Subject: Re: bug#17234: 24.3.50; overlay priority : cons cells make an error in ediff

From: Eli Zaretskii <[email-masked]>
Date: Fri, 11 Apr 2014 16:08:30 +0300

> From: Stefan Monnier <[email-masked]>
> Date: Fri, 11 Apr 2014 08:30:33 -0400
> Cc: [email-masked]
> 
> >> [...] the notion of the "priority" of an overlay was changed : it can
> >> now be a cons cell (which holds a priority and a secondary priority).
> > [...]
> >> At (info "(elisp) Overlay Properties") however it is said that the
> >> priority "should be a non-negative integer".
> > What about the documentation/NEWS aspect?
> 
> The new feature was introduced specifically for the region handling, and
> I'm not yet convinced I'm satisfied with it, so I'd rather not
> document it for now.

Then how can we expect authors of other Lisp packages to be able to
fix their code so it works with Emacs 24.4 and later?  We must say
_something_ in NEWS.